{
	"0: data": {
		"srcIndexStart": "0", 
		"file": "docssrc/docs.Start.Requires.tmpl", 
		"parseTreeMode": "true", 
		"srcLength": "4816", 
		"source": "[$name|Requires$]
[$title|Requirements$]
[$frame|HTMLPage.tmpl$]

<p>This has been tested to work on Windows and Linux x86. It should also work
on OSX and any other platform supported by DMD, but has not been tested.</p>

<table class=\"grid-table\">
<tr>
	<td style=\"font-weight: bold\">Required</td>
	<td>[$pageLink|#DMD|DMD 2.052$] or newer (LDC/GDC are untested, and only partial support for DMD 2.057)</td>
</tr>
<tr>
	<td style=\"font-weight: bold\">Required</td>
	<td>[$pageLink|#SemiTwist|SemiTwist D Tools - tag 'goldie-v0.8'$] (Bundled with Goldie's official prebuilt releases)</td>
</tr>
<tr>
	<td style=\"font-style: italic\">Optional</td>
	<td>[$pageLink|#DVM|DVM (D Version Manager)$]</td>
</tr>
<tr>
	<td style=\"font-style: italic\">Optional</td>
	<td>[$pageLink|#PN2|Programmer's Notepad 2$] (ie, PN2 Project files are included)</td>
</tr>
<tr>
	<td style=\"font-style: italic\">Optional</td>
	<td>[$pageLink|#JsonViewer|JsonViewer$] (Bundled with Goldie)</td>
</tr>
<tr>
	<td style=\"font-style: italic\">Optional</td>
	<td>[$pageLink|#OtherTools|Other Tools$]</td>
</tr>
</table>

<br />

<a name=\"DMD\" />
<span style=\"font-weight: bold\">Required</span>
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">Digital Mars D Compiler (DMD) v2.052 or newer</h2>
<p>Reference compiler for the D Programming Language.</p>

<p>
The Goldie [$pageTitle|Tutorial$] has instructions for downloading
and installing DMD (using [$pageLink| #DVM | DVM $]).
</p>

<p>
LDC (on OSX or Linux) or GDC might work, but I haven't tried.
</p>

<p>
The version of Goldie has been tested with DMD versions 2.052 through 2.056.
On DMD 2.057, [$pageLink|StatVsDyn|dynamic-style$] works,
but not static-style or grammar compiling due to DMD Issue
[$link| http://d.puremagic.com/issues/show_bug.cgi?id=7375 | #7375 $].
</p>

<p>
If you want to try to build Goldie's tools with LDC or GDC, you'll need to
pass [$code|inline|-x:--compiler=ldmd$] or [$code|inline|-x:--compiler=gdmd$]
into [$code|inline|semitwist-stbuild$] and modify SemiTwist D Tool's
batch/shell buildscripts to pass
[$code|inline|--compiler=ldmd$] or [$code|inline|--compiler=gdmd$] into RDMD.
</p>

<p>
If you want to try to build Goldie's tools with DMD 2.054 or older, [$pageLink|Install#RDMD|see this note$].
</p>

<ul>
<li>Download and install using [$pageLink| #DVM | DVM $]</li>
<li>[$link| http://www.d-programming-language.org/ | DMD Homepage $]</li>
<li>[$link| http://www.digitalmars.com/d/2.0/changelog.html | Download $]</li>
</ul>

<a name=\"SemiTwist\" />
<span style=\"font-weight: bold\">Required</span>
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">SemiTwist D Tools - tag 'goldie-v0.8'</h2>
<p>
This is a set of tools and a library for D. The library is required by Goldie.
Also included in SemiTwist D Tools is STBuild which can be used to
build Goldie's tools and sample apps.
SemiTwist D Tools is bundled with Goldie's official prebuilt releases.
</p>

<ul>
<li>
<span style=\"font-weight: bold\">Installation</span>:
Goldie's [$pageLink|Install| installation instructions $]
include installing SemiTwist D Tools.
</li>
<li>[$link| https://bitbucket.org/Abscissa/semitwistdtools | SemiTwist D Tools Homepage $]</li>
</ul>

<a name=\"DVM\" />
<span style=\"font-style: italic\">Optional</span>
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">DVM (D Version Manager)</h2>
<p>
You can use this simple tool to easily install DMD.
The Goldie [$pageTitle|Tutorial$] explains how.
</p>
<p>
DVM is great because it also makes it easy to have multiple versions
of DMD installed and switch between them.
</p>

<ul>
<li>[$link| https://bitbucket.org/doob/dvm/wiki/Home | DVM (D Version Manager) Homepage $]</li>
</ul>

<a name=\"PN2\" />
<span style=\"font-style: italic\">Optional</span>
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">Programmer's Notepad 2</h2>
<p>
Optional, but the included project files are for Programmer's Notepad 2, so it
could help if you want to work with Goldie's source. Note, the [$code|inline|*.ppg$]
files are the main project files
(the [$code|inline|*.pnproj$] files are secondary).
</p>

<ul>
<li>[$link| http://www.pnotepad.org/ | Programmer's Notepad 2 Homepage $]</li>
<li>[$link| http://www.pnotepad.org/download/ | Download Page $]</li>
</ul>

<a name=\"JsonViewer\" />
<span style=\"font-style: italic\">Optional</span>
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">JsonViewer</h2>
<p>
A specially-modified version of JsonViewer is bundled with Goldie,
although it's not officially part of Goldie.
</p>
<p>
See the [$pageTitle|JsonViewer$] page for more information on this tool.
</p>

<a name=\"OtherTools\" />
<span style=\"font-style: italic\">Optional</span>
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">Other Tools</h2>
<p>
Additional tools which may be useful for Goldie users can be found on the
[$pageTitle|OtherTools$] page.
</p>
", 
		"0: name": {
			"srcIndexStart": "0", 
			"data": "Requires", 
			"srcLength": "17", 
			"0: data": {
				"srcIndexStart": "7", 
				"data": "Requires", 
				"srcLength": "8"
			}
		}, 
		"1: data": {
			"srcIndexStart": "17", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"2: title": {
			"srcIndexStart": "18", 
			"data": "Requirements", 
			"srcLength": "22", 
			"0: data": {
				"srcIndexStart": "26", 
				"data": "Requirements", 
				"srcLength": "12"
			}
		}, 
		"3: data": {
			"srcIndexStart": "40", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"4: frame": {
			"srcIndexStart": "41", 
			"data": "HTMLPage.tmpl", 
			"srcLength": "23", 
			"0: data": {
				"srcIndexStart": "49", 
				"data": "HTMLPage.tmpl", 
				"srcLength": "13"
			}
		}, 
		"5: data": {
			"srcIndexStart": "64", 
			"data": "

<p>This has been tested to work on Windows and Linux x86. It should also work
on OSX and any other platform supported by DMD, but has not been tested.</p>

<table class=\"grid-table\">
<tr>
	<td style=\"font-weight: bold\">Required</td>
	<td>", 
			"srcLength": "240"
		}, 
		"6: pageLink": {
			"srcIndexStart": "304", 
			"param 0": "#DMD", 
			"data": "DMD 2.052", 
			"srcLength": "27", 
			"0: data": {
				"srcIndexStart": "320", 
				"data": "DMD 2.052", 
				"srcLength": "9"
			}
		}, 
		"7: data": {
			"srcIndexStart": "331", 
			"data": " or newer (LDC/GDC are untested, and only partial support for DMD 2.057)</td>
</tr>
<tr>
	<td style=\"font-weight: bold\">Required</td>
	<td>", 
			"srcLength": "139"
		}, 
		"8: pageLink": {
			"srcIndexStart": "470", 
			"param 0": "#SemiTwist", 
			"data": "SemiTwist D Tools - tag 'goldie-v0.8'", 
			"srcLength": "61", 
			"0: data": {
				"srcIndexStart": "492", 
				"data": "SemiTwist D Tools - tag 'goldie-v0.8'", 
				"srcLength": "37"
			}
		}, 
		"9: data": {
			"srcIndexStart": "531", 
			"data": " (Bundled with Goldie's official prebuilt releases)</td>
</tr>
<tr>
	<td style=\"font-style: italic\">Optional</td>
	<td>", 
			"srcLength": "119"
		}, 
		"10: pageLink": {
			"srcIndexStart": "650", 
			"param 0": "#DVM", 
			"data": "DVM (D Version Manager)", 
			"srcLength": "41", 
			"0: data": {
				"srcIndexStart": "666", 
				"data": "DVM (D Version Manager)", 
				"srcLength": "23"
			}
		}, 
		"11: data": {
			"srcIndexStart": "691", 
			"data": "</td>
</tr>
<tr>
	<td style=\"font-style: italic\">Optional</td>
	<td>", 
			"srcLength": "68"
		}, 
		"12: pageLink": {
			"srcIndexStart": "759", 
			"param 0": "#PN2", 
			"data": "Programmer's Notepad 2", 
			"srcLength": "40", 
			"0: data": {
				"srcIndexStart": "775", 
				"data": "Programmer's Notepad 2", 
				"srcLength": "22"
			}
		}, 
		"13: data": {
			"srcIndexStart": "799", 
			"data": " (ie, PN2 Project files are included)</td>
</tr>
<tr>
	<td style=\"font-style: italic\">Optional</td>
	<td>", 
			"srcLength": "105"
		}, 
		"14: pageLink": {
			"srcIndexStart": "904", 
			"param 0": "#JsonViewer", 
			"data": "JsonViewer", 
			"srcLength": "35", 
			"0: data": {
				"srcIndexStart": "927", 
				"data": "JsonViewer", 
				"srcLength": "10"
			}
		}, 
		"15: data": {
			"srcIndexStart": "939", 
			"data": " (Bundled with Goldie)</td>
</tr>
<tr>
	<td style=\"font-style: italic\">Optional</td>
	<td>", 
			"srcLength": "90"
		}, 
		"16: pageLink": {
			"srcIndexStart": "1029", 
			"param 0": "#OtherTools", 
			"data": "Other Tools", 
			"srcLength": "36", 
			"0: data": {
				"srcIndexStart": "1052", 
				"data": "Other Tools", 
				"srcLength": "11"
			}
		}, 
		"17: data": {
			"srcIndexStart": "1065", 
			"data": "</td>
</tr>
</table>

<br />

<a name=\"DMD\" />
<span style=\"font-weight: bold\">Required</span>
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">Digital Mars D Compiler (DMD) v2.052 or newer</h2>
<p>Reference compiler for the D Programming Language.</p>

<p>
The Goldie ", 
			"srcLength": "268"
		}, 
		"18: pageTitle": {
			"srcIndexStart": "1333", 
			"data": "Tutorial", 
			"srcLength": "22", 
			"0: data": {
				"srcIndexStart": "1345", 
				"data": "Tutorial", 
				"srcLength": "8"
			}
		}, 
		"19: data": {
			"srcIndexStart": "1355", 
			"data": " has instructions for downloading
and installing DMD (using ", 
			"srcLength": "60"
		}, 
		"20: pageLink": {
			"srcIndexStart": "1415", 
			"param 0": "#DVM", 
			"data": "DVM", 
			"srcLength": "25", 
			"0: data": {
				"srcIndexStart": "1433", 
				"data": "DVM", 
				"srcLength": "5"
			}
		}, 
		"21: data": {
			"srcIndexStart": "1440", 
			"data": ").
</p>

<p>
LDC (on OSX or Linux) or GDC might work, but I haven't tried.
</p>

<p>
The version of Goldie has been tested with DMD versions 2.052 through 2.056.
On DMD 2.057, ", 
			"srcLength": "176"
		}, 
		"22: pageLink": {
			"srcIndexStart": "1616", 
			"param 0": "StatVsDyn", 
			"data": "dynamic-style", 
			"srcLength": "36", 
			"0: data": {
				"srcIndexStart": "1637", 
				"data": "dynamic-style", 
				"srcLength": "13"
			}
		}, 
		"23: data": {
			"srcIndexStart": "1652", 
			"data": " works,
but not static-style or grammar compiling due to DMD Issue
", 
			"srcLength": "67"
		}, 
		"24: link": {
			"srcIndexStart": "1719", 
			"param 0": "http://d.puremagic.com/issues/show_bug.cgi?id=7375", 
			"data": "#7375", 
			"srcLength": "69", 
			"0: data": {
				"srcIndexStart": "1779", 
				"data": "#7375", 
				"srcLength": "7"
			}
		}, 
		"25: data": {
			"srcIndexStart": "1788", 
			"data": ".
</p>

<p>
If you want to try to build Goldie's tools with LDC or GDC, you'll need to
pass ", 
			"srcLength": "92"
		}, 
		"26: code": {
			"srcIndexStart": "1880", 
			"param 0": "inline", 
			"data": "-x:--compiler=ldmd", 
			"srcLength": "34", 
			"0: data": {
				"srcIndexStart": "1894", 
				"data": "-x:--compiler=ldmd", 
				"srcLength": "18"
			}
		}, 
		"27: data": {
			"srcIndexStart": "1914", 
			"data": " or ", 
			"srcLength": "4"
		}, 
		"28: code": {
			"srcIndexStart": "1918", 
			"param 0": "inline", 
			"data": "-x:--compiler=gdmd", 
			"srcLength": "34", 
			"0: data": {
				"srcIndexStart": "1932", 
				"data": "-x:--compiler=gdmd", 
				"srcLength": "18"
			}
		}, 
		"29: data": {
			"srcIndexStart": "1952", 
			"data": "
into ", 
			"srcLength": "6"
		}, 
		"30: code": {
			"srcIndexStart": "1958", 
			"param 0": "inline", 
			"data": "semitwist-stbuild", 
			"srcLength": "33", 
			"0: data": {
				"srcIndexStart": "1972", 
				"data": "semitwist-stbuild", 
				"srcLength": "17"
			}
		}, 
		"31: data": {
			"srcIndexStart": "1991", 
			"data": " and modify SemiTwist D Tool's
batch/shell buildscripts to pass
", 
			"srcLength": "64"
		}, 
		"32: code": {
			"srcIndexStart": "2055", 
			"param 0": "inline", 
			"data": "--compiler=ldmd", 
			"srcLength": "31", 
			"0: data": {
				"srcIndexStart": "2069", 
				"data": "--compiler=ldmd", 
				"srcLength": "15"
			}
		}, 
		"33: data": {
			"srcIndexStart": "2086", 
			"data": " or ", 
			"srcLength": "4"
		}, 
		"34: code": {
			"srcIndexStart": "2090", 
			"param 0": "inline", 
			"data": "--compiler=gdmd", 
			"srcLength": "31", 
			"0: data": {
				"srcIndexStart": "2104", 
				"data": "--compiler=gdmd", 
				"srcLength": "15"
			}
		}, 
		"35: data": {
			"srcIndexStart": "2121", 
			"data": " into RDMD.
</p>

<p>
If you want to try to build Goldie's tools with DMD 2.054 or older, ", 
			"srcLength": "90"
		}, 
		"36: pageLink": {
			"srcIndexStart": "2211", 
			"param 0": "Install#RDMD", 
			"data": "see this note", 
			"srcLength": "39", 
			"0: data": {
				"srcIndexStart": "2235", 
				"data": "see this note", 
				"srcLength": "13"
			}
		}, 
		"37: data": {
			"srcIndexStart": "2250", 
			"data": ".
</p>

<ul>
<li>Download and install using ", 
			"srcLength": "44"
		}, 
		"38: pageLink": {
			"srcIndexStart": "2294", 
			"param 0": "#DVM", 
			"data": "DVM", 
			"srcLength": "25", 
			"0: data": {
				"srcIndexStart": "2312", 
				"data": "DVM", 
				"srcLength": "5"
			}
		}, 
		"39: data": {
			"srcIndexStart": "2319", 
			"data": "</li>
<li>", 
			"srcLength": "10"
		}, 
		"40: link": {
			"srcIndexStart": "2329", 
			"param 0": "http://www.d-programming-language.org/", 
			"data": "DMD Homepage", 
			"srcLength": "64", 
			"0: data": {
				"srcIndexStart": "2377", 
				"data": "DMD Homepage", 
				"srcLength": "14"
			}
		}, 
		"41: data": {
			"srcIndexStart": "2393", 
			"data": "</li>
<li>", 
			"srcLength": "10"
		}, 
		"42: link": {
			"srcIndexStart": "2403", 
			"param 0": "http://www.digitalmars.com/d/2.0/changelog.html", 
			"data": "Download", 
			"srcLength": "69", 
			"0: data": {
				"srcIndexStart": "2460", 
				"data": "Download", 
				"srcLength": "10"
			}
		}, 
		"43: data": {
			"srcIndexStart": "2472", 
			"data": "</li>
</ul>

<a name=\"SemiTwist\" />
<span style=\"font-weight: bold\">Required</span>
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">SemiTwist D Tools - tag 'goldie-v0.8'</h2>
<p>
This is a set of tools and a library for D. The library is required by Goldie.
Also included in SemiTwist D Tools is STBuild which can be used to
build Goldie's tools and sample apps.
SemiTwist D Tools is bundled with Goldie's official prebuilt releases.
</p>

<ul>
<li>
<span style=\"font-weight: bold\">Installation</span>:
Goldie's ", 
			"srcLength": "512"
		}, 
		"44: pageLink": {
			"srcIndexStart": "2984", 
			"param 0": "Install", 
			"data": "installation instructions", 
			"srcLength": "48", 
			"0: data": {
				"srcIndexStart": "3003", 
				"data": "installation instructions", 
				"srcLength": "27"
			}
		}, 
		"45: data": {
			"srcIndexStart": "3032", 
			"data": "
include installing SemiTwist D Tools.
</li>
<li>", 
			"srcLength": "49"
		}, 
		"46: link": {
			"srcIndexStart": "3081", 
			"param 0": "https://bitbucket.org/Abscissa/semitwistdtools", 
			"data": "SemiTwist D Tools Homepage", 
			"srcLength": "86", 
			"0: data": {
				"srcIndexStart": "3137", 
				"data": "SemiTwist D Tools Homepage", 
				"srcLength": "28"
			}
		}, 
		"47: data": {
			"srcIndexStart": "3167", 
			"data": "</li>
</ul>

<a name=\"DVM\" />
<span style=\"font-style: italic\">Optional</span>
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">DVM (D Version Manager)</h2>
<p>
You can use this simple tool to easily install DMD.
The Goldie ", 
			"srcLength": "223"
		}, 
		"48: pageTitle": {
			"srcIndexStart": "3390", 
			"data": "Tutorial", 
			"srcLength": "22", 
			"0: data": {
				"srcIndexStart": "3402", 
				"data": "Tutorial", 
				"srcLength": "8"
			}
		}, 
		"49: data": {
			"srcIndexStart": "3412", 
			"data": " explains how.
</p>
<p>
DVM is great because it also makes it easy to have multiple versions
of DMD installed and switch between them.
</p>

<ul>
<li>", 
			"srcLength": "150"
		}, 
		"50: link": {
			"srcIndexStart": "3562", 
			"param 0": "https://bitbucket.org/doob/dvm/wiki/Home", 
			"data": "DVM (D Version Manager) Homepage", 
			"srcLength": "86", 
			"0: data": {
				"srcIndexStart": "3612", 
				"data": "DVM (D Version Manager) Homepage", 
				"srcLength": "34"
			}
		}, 
		"51: data": {
			"srcIndexStart": "3648", 
			"data": "</li>
</ul>

<a name=\"PN2\" />
<span style=\"font-style: italic\">Optional</span>
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">Programmer's Notepad 2</h2>
<p>
Optional, but the included project files are for Programmer's Notepad 2, so it
could help if you want to work with Goldie's source. Note, the ", 
			"srcLength": "301"
		}, 
		"52: code": {
			"srcIndexStart": "3949", 
			"param 0": "inline", 
			"data": "*.ppg", 
			"srcLength": "21", 
			"0: data": {
				"srcIndexStart": "3963", 
				"data": "*.ppg", 
				"srcLength": "5"
			}
		}, 
		"53: data": {
			"srcIndexStart": "3970", 
			"data": "
files are the main project files
(the ", 
			"srcLength": "39"
		}, 
		"54: code": {
			"srcIndexStart": "4009", 
			"param 0": "inline", 
			"data": "*.pnproj", 
			"srcLength": "24", 
			"0: data": {
				"srcIndexStart": "4023", 
				"data": "*.pnproj", 
				"srcLength": "8"
			}
		}, 
		"55: data": {
			"srcIndexStart": "4033", 
			"data": " files are secondary).
</p>

<ul>
<li>", 
			"srcLength": "38"
		}, 
		"56: link": {
			"srcIndexStart": "4071", 
			"param 0": "http://www.pnotepad.org/", 
			"data": "Programmer's Notepad 2 Homepage", 
			"srcLength": "69", 
			"0: data": {
				"srcIndexStart": "4105", 
				"data": "Programmer's Notepad 2 Homepage", 
				"srcLength": "33"
			}
		}, 
		"57: data": {
			"srcIndexStart": "4140", 
			"data": "</li>
<li>", 
			"srcLength": "10"
		}, 
		"58: link": {
			"srcIndexStart": "4150", 
			"param 0": "http://www.pnotepad.org/download/", 
			"data": "Download Page", 
			"srcLength": "60", 
			"0: data": {
				"srcIndexStart": "4193", 
				"data": "Download Page", 
				"srcLength": "15"
			}
		}, 
		"59: data": {
			"srcIndexStart": "4210", 
			"data": "</li>
</ul>

<a name=\"JsonViewer\" />
<span style=\"font-style: italic\">Optional</span>
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">JsonViewer</h2>
<p>
A specially-modified version of JsonViewer is bundled with Goldie,
although it's not officially part of Goldie.
</p>
<p>
See the ", 
			"srcLength": "283"
		}, 
		"60: pageTitle": {
			"srcIndexStart": "4493", 
			"data": "JsonViewer", 
			"srcLength": "24", 
			"0: data": {
				"srcIndexStart": "4505", 
				"data": "JsonViewer", 
				"srcLength": "10"
			}
		}, 
		"61: data": {
			"srcIndexStart": "4517", 
			"data": " page for more information on this tool.
</p>

<a name=\"OtherTools\" />
<span style=\"font-style: italic\">Optional</span>
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">Other Tools</h2>
<p>
Additional tools which may be useful for Goldie users can be found on the
", 
			"srcLength": "263"
		}, 
		"62: pageTitle": {
			"srcIndexStart": "4780", 
			"data": "OtherTools", 
			"srcLength": "24", 
			"0: data": {
				"srcIndexStart": "4792", 
				"data": "OtherTools", 
				"srcLength": "10"
			}
		}, 
		"63: data": {
			"srcIndexStart": "4804", 
			"data": " page.
</p>", 
			"srcLength": "12"
		}
	}
}